"""Auth requirements

Revision ID: 7cdd995a0b4f
Revises: 1e6c72f6b4da
Create Date: 2023-01-11 17:37:36.120555

"""
from alembic import op
import sqlalchemy as sa
import ryax.runner.infrastructure.database.metadata


# revision identifiers, used by Alembic.
revision = '7cdd995a0b4f'
down_revision = '1e6c72f6b4da'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('project_security_requirements_table',
    sa.Column('project_id', sa.String(), nullable=False),
    sa.Column('authorization_method', sa.Enum('APIKEY', name='user_authorization_method'), nullable=False),
    sa.Column('enabled', sa.Boolean(), nullable=False),
    sa.PrimaryKeyConstraint('project_id', 'authorization_method')
    )
    op.create_table('user_api_key_table',
    sa.Column('id', sa.String(), nullable=False),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('api_key', sa.LargeBinary(), nullable=False),
    sa.Column('project_id', sa.String(), nullable=False),
    sa.Column('revoked', sa.Boolean(), nullable=False),
    sa.Column('creation_date', ryax.runner.infrastructure.database.metadata.TZDateTime(), nullable=False),
    sa.Column('last_used_date', ryax.runner.infrastructure.database.metadata.TZDateTime(), nullable=True),
    sa.Column('expiration_date', ryax.runner.infrastructure.database.metadata.TZDateTime(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('user_api_key_table')
    op.drop_table('project_security_requirements_table')
    # ### end Alembic commands ###
